<script lang="ts" context="module">
export async function load({session}) {
    return {
        props: {
            sess: session.sess
        }
    }
}
</script>
<script>
import {goto} from "$app/navigation";
import TextInput from "../../components/TextInput.svelte";
import Button from "../../components/Button.svelte";
import * as Api from "../../api/Api";

export let sess;

let loc;
let submitHandler = () => {
    Api.Meeting.create(sess, loc).then(r => goto('/qr/' + r.meetingID + '-' + r.meetingCode))
        .catch(() => goto('/error?from=create-meeting'));
}
</script>

<svelte:head>
    <title>Create Meeting | AZtendance</title>
</svelte:head>

<form on:submit|preventDefault={submitHandler}>
    <TextInput name="loc" label="Location" placeholder="cds" bind:value={loc} /> 
    <Button content="Create Meeting" theme="primary" onclick={submitHandler}/>
</form>